### Function Macro

# GLib error

#### Declaration [src]

    #define g_error (
      ...
    )

#### Description [src]

A convenience function/macro to log an error message.

The message should typically not be translated to the user’s language.

This is not intended for end user error reporting. Use of `GError` is preferred for that instead, as it allows calling functions to perform actions conditional on the type of error.

Error messages are always fatal, resulting in a call to `G_BREAKPOINT()` to terminate the application. This function will result in a core dump; don’t use it for errors you expect. Using this function indicates a bug in your program, i.e. an assertion failure.

If `g_log_default_handler()` is used as the log handler function, a new-line character will automatically be appended to @…, and need not be entered manually.

If structured logging is enabled, this will use `g_log_structured()`; otherwise it will use `g_log()`. See Using Structured Logging.

This function is not directly available to language bindings.

#### Parameters

`...`

  Type: `-`

  Format string, followed by parameters to insert into the format string (as with `printf()`).